Bug 840562 - 30md-shutdown.sh should ensure RAID array is clean before rebooting
Summary: 30md-shutdown.sh should ensure RAID array is clean before rebooting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 16
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: dracut-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-16 15:25 UTC by Harald Hoyer
Modified: 2012-12-20 15:43 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 743022
Environment:
Last Closed: 2012-12-20 15:43:44 UTC
Type: ---


Attachments (Terms of Use)

Description Harald Hoyer 2012-07-16 15:25:25 UTC
+++ This bug was initially created as a clone of Bug #743022 +++

./run/initramfs/lib/dracut/hooks/shutdown/30md-shutdown.sh does not appear to be ensuring the array is clean before rebooting.  It can call "mdadm --wait-clean --scan" to do that.

--- Additional comment from Jes.Sorensen@redhat.com on 2012-06-25 04:43:04 EDT ---

Dan,

Glad it worked - you may want to open a bugzilla against dracut to suggest
they add those commands to the shutdown scripts. It may not get noticed
here.

Cheers,
Jes

Comment 1 Adam Williamson 2012-09-18 00:52:16 UTC
clearing clone garbage.

Comment 2 Fedora Update System 2012-09-27 10:21:47 UTC
dracut-018-60.git20120927.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dracut-018-60.git20120927.fc16

Comment 3 Fedora Update System 2012-09-27 10:22:59 UTC
dracut-018-105.git20120927.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dracut-018-105.git20120927.fc17

Comment 4 Fedora Update System 2012-09-28 08:19:59 UTC
Package dracut-018-105.git20120927.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-018-105.git20120927.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14953/dracut-018-105.git20120927.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-12-20 15:43:47 UTC
dracut-018-60.git20120927.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.